Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
peripheral::GatewaySensorManager::DeviceFeedback Struct Reference
Inheritance diagram for peripheral::GatewaySensorManager::DeviceFeedback:

## Public Attributes
string | packageId
| the configuration package id
string | deviceId
| the same id as in RemoteDevice
Public Attributes inherited from peripheral::GatewaySensorManager::Feedback
FeedbackObject::FeedbackState | currentState
| Device or sensor state.
vector< FeedbackObject > | infos

## Detailed Description

Definition at line 748 of file GatewaySensorManager.idl.

## Member Data Documentation

## ◆ deviceId

string peripheral::GatewaySensorManager::DeviceFeedback::deviceId

the same id as in RemoteDevice

Definition at line 750 of file GatewaySensorManager.idl.

## ◆ packageId

string peripheral::GatewaySensorManager::DeviceFeedback::packageId

the configuration package id

Definition at line 749 of file GatewaySensorManager.idl.

The documentation for this struct was generated from the following file:

- GatewaySensorManager.idl